<?php
require_once __DIR__ . '/../../connect.php';

$driverID = filterRequest("driverID");

$sql = "SELECT
    `id`,
    `driverID`,
    `helpQuestion`,
    `datecreated`
FROM
    `helpCenter`
WHERE
    `driverID` = :driverID
ORDER BY
    `datecreated` DESC";

$stmt = $con->prepare($sql);
$stmt->bindParam(':driverID', $driverID, PDO::PARAM_STR);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    $record = $stmt->fetchAll(PDO::FETCH_ASSOC);
    jsonSuccess($record);
} else {
    jsonError("Help question not found");
}
?>